;;;;	Beginning of standard code
	; 07/13/1998 tah - Modify list processing for Synergy V6

	xcall e_enter

.ifndef D_GUI
	xcall m_ldcol (selid, g_utlib, "FIND_SEL",, srch)
.endc

        xcall i_ldinp (inpid, g_utlib, lfind, D_NOPLC, srch)

	xcall i_user (inpid, 'l_head', wind_hleft)
	xcall i_fldinf (inpid, 'l_heado', field_no)
	if (field_no)
	 then xcall i_user (inpid, 'l_heado', wind_hright)
	 else clear wind_hright

        xcall l_create (fndid,inpid,sel_line,g_utlib,lclass,,,,,,,opcde)

	xcall l_sect (fndid, wind_header, D_HEADER)

	req = D_LNOP
	call find_first_match			; find first matching record
	if (opcde)
	 then g_entnam = 'O_EXIT'
	 else
	  begin
	    req = D_LNOP
	    repeat
	      begin
		xcall l_select (fndid,req,sel_line)
		case req of
		  begincase
		  D_LABORT: exitloop
		  endcase
		 else
		  begin
		    clear g_entnam
		    if (g_select) then
		      begin
			case g_entnam of
			  begincase
			  'FIND':   begin
				      call utfind_find
				      clear g_entnam,req
				    end
			  endcase
			 else
			  begin
			    g_entnam = 'O_EXIT'
			    exitloop
			  end
		      end
		     else
		      begin
			clear g_entnam
			if (gi_sts.eq.RETURN_KEY)
			 then exitloop
			 else display (g_terminal, 7)
		      end
		  end
	      end
	  end
;;;;	End of standard code

